Le 08/05/2013 02:47, Jeff Squyres (jsquyres) a écrit :
How's this patch?

The only question I have is: how do we figure out what libraries to put in the .pc file in the --disable-shared --enable-static case?

There should be a ltdl.pc for this. But I don't see any. Is there a standard way to extract this line from ltdl.la ?
dependency_libs=' -ldl'

How about we do not support plugins when --enable-static is given?

Brice






On May 7, 2013, at 8:24 PM, Samuel Thibault <samuel.thibault@inria.fr> wrote:

Jeff Squyres (jsquyres), le Wed 08 May 2013 02:21:02 +0200, a écrit :
On May 7, 2013, at 6:25 PM, Brice Goglin <Brice.Goglin@inria.fr> wrote:

I don't have anything against this. What was the reason for not using
the default/system libltdl in OMPI? libtool was buggy when you started
using it?

I neglected to answer this.

Yes, plus libltdl grew new functionality that we needed (global/local symbol visibility).

We might be getting to the point soon where we can rely on the installed libltdl to be new enough everywhere, but we haven't had that conversation.
We could already check that the installed version is new enough for our
needs.

Samuel
_______________________________________________
hwloc-devel mailing list
hwloc-devel@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/hwloc-devel



_______________________________________________
hwloc-devel mailing list
hwloc-devel@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/hwloc-devel